
export FEATURE_FLAGS := \
    ADD_NETX_EAPOL_SUPPORT \
    BCM_CPU_PREFETCH \
    BCM_WICED \
    BCM43909 \
    BCMCHIPID=BCM43909_CHIP_ID \
    BCMCHIPREV=2 \
    BCMDRIVER \
    BCMM2MDEV_ENABLED \
    BUILDCFG \
    CFG_GMAC \
    CPM_CP_MAX=12 \
    CPM_ROLE_MAX=45 \
    CRC_INIT_VALUE \
    CRC_TYPE=uint32_t \
    DHCP_SERVER_ADDRRESS_POOL_SIZE=10 \
    DOT11AC_CHIP \
    ENABLE_ARM_DSP_INSTRUCTIONS \
    ENTRY_POINT=_low_start \
    EXPRESSLOGIC_LIBRARY_DIRECTORY=tx5.8_nxd5.12 \
    FEATURE_IPV6 \
    GSIO_I2C_REPEATED_START_NEEDS_GPIO=1 \
    GSPI_SLAVE_ENABLE \
    HTTP_SERVER_NUM_WORKER_THREADS=2 \
    IMAGE_PARTITION_SIZE=$(PARTITION_SIZE) \
    LANTRONIX_BRIDGE_NUMBER_OF_MACS=20 \
    LANTRONIX_BT_DEV_NAME_LENGTH=25 \
    LANTRONIX_ENABLE_MOCANA_PKCS12_SUPPORT \
    LANTRONIX_FILTER_NUMBER_OF_MACS=20 \
    LANTRONIX_GSPI_LINE_NUMBER_OF_CHANNELS=4 \
    LANTRONIX_LINE_TO_GSPI_BUFFER_SIZE=2048 \
    LANTRONIX_MOCANA_DISABLE_CERTIFICATE_EXPIRATION_CHECK \
    LANTRONIX_MQTT_CLIENTS_MAX=3 \
    LANTRONIX_MULTIPLEXER_CONNECTION_INSTANCES=8 \
    LANTRONIX_RTC_IN_SOFTWARE \
    LANTRONIX_USE_IPV6_BRIDGING \
    LANTRONIX_TLS_CERTIFICATE_SIZE=4000 \
    LANTRONIX_TLS_CLIENTS_MAX=6 \
    LANTRONIX_TLS_CLIENTS_TA_MAX=5 \
    LANTRONIX_TLS_CREDENTIALS_MAX=5 \
    LANTRONIX_TLS_SERVERS_MAX=6 \
    LANTRONIX_TLS_SERVERS_HA_MAX=3 \
    LANTRONIX_WATCHDOG_EARLY_WARNING \
    LANTRONIX_WEBSOCKETS_CLIENTS_MAX=9 \
    LANTRONIX_WLAN_MAC_ADDRESS_LENGTH=6 \
    LANTRONIX_WLAN_SCAN_RESULT_LIST_SIZE=50 \
    LANTRONIX_WLAN_SSID_LENGTH=32 \
    LITTLE \
    LTRX_SCAN_TIMEOUT \
    MAC_ADDRESS_SET_BY_HOST \
    MACH10_MAX_BACKENDS=2 \
    MACH10_MAX_UPDATES=20 \
    MACH10_TLOG_SUPPORT \
    MAX_AES_CREDENTIALS=3 \
    MAX_ALLOWED_MODULES=24 \
    MAX_BLUETOOTH_BONDS=10 \
    MAX_FD=15 \
    MAX_FS=5 \
    MAX_FILENAME=100 \
    MAX_GATT_CLIENT_CONNECTIONS=6 \
    MAX_GATT_SERVER_CONNECTIONS=2 \
    MAX_GATT_SERVER_CUSTOM_SERVICES=2 \
    MAX_GATT_SERVER_CUSTOM_CHARACTERISTICS=2 \
    MAX_HTTP_NONCE=20 \
    MAX_HTTP_SERVER_ACCESS_CONTROL=9 \
    MAX_HTTP_SERVER_CONFIG_RESTRICTION=9 \
    MAX_HTTP_SERVER_STATUS_RESTRICTION=9 \
    MAX_HTTP_SERVER_URI=255 \
    MAX_IGMP_IP_ADDRESSES=6 \
    MAX_LOGICAL_SERIAL_LINES=20 \
    MAX_MONITOR_COMMAND_LENGTH=32 \
    MAX_MONITOR_DATA_SELECTOR=8 \
    MAX_MONITOR_DELIMITERS=2 \
    MAX_MONITOR_FILTERS=4 \
    MAX_MONITOR_MESSAGES=4 \
    MAX_MONITOR_DATA_VALUE_SIZE=80 \
    MAX_MQTT_SUBSCRIBE_TOPICS=6 \
    MAX_NETS_SOFTAP=1 \
    MAX_NETS_ETHERNET=1 \
    MAX_NETS_WLAN=1 \
    MAX_NETS_CELLULAR=0 \
    MAX_NETS_LOOPBACK=1 \
    MAX_PHYSICAL_SERIAL_LINES=1 \
    MAX_POWER_APPLICATIONS=8 \
    MAX_REGISTERED_LINE_PROTOCOLS=14 \
    MAX_REGISTERED_NETWORK_PROTOCOLS=7 \
    MAX_REGISTERED_SPI_PROTOCOLS=4 \
    MAX_REGISTERED_TIME_SOURCES=2 \
    MAX_SIMULTANEOUS_AP_CLIENTS=6 \
    MAX_SIMULTANEOUS_AP_CLIENTS_WITH_WLAN0_ENABLED=5 \
    MAX_SPI_EXTERNAL=1 \
    MAX_SPI_FLASH=1 \
    MAX_SPP_SERIAL_LINES=3 \
    MAX_TUNNEL_ACCEPT_SOCKETS=4 \
    MAX_TUNNEL_CONNECT_HOSTS=4 \
    MAX_USERS=4 \
    MAX_USERS_PASSWORD=32 \
    MAX_USERS_USERNAME=16 \
    MAX_USER_DATA_CUSTOM_GROUPS=20 \
    MAX_USER_DATA_CUSTOM_ITEMS=12 \
    MAX_VIRTUAL_LINES=2 \
    MAX_WAKE_FROM_SLEEP_DELAY_TICKS=500 \
    MAX_WATCHDOG_TIMEOUT_SECONDS=40 \
    MAX_WEBSOCKET_CREDENTIALS=8 \
    MAX_WLAN_PROFILES=4 \
    MODBUS_MAX_SERVER_CONNECTIONS=6 \
    MODBUS_DEFAULT_PDU_SIZE=253 \
    NUM_IP_SOCKETS=50 \
    NX_INCLUDE_USER_DEFINE_FILE \
    OTP_WORD_NUM_SHA_KEY=258 \
    OTP_WORD_NUM_SHA_KEY_R=242 \
    OTP_WORD_NUM_AES_KEY=282 \
    OTP_WORD_NUM_AES_KEY_R=274 \
    PATH_MAX=\(MAX_FILENAME*1\) \
    PLAT_NOTIFY_FREE \
    PLATFORM_NAME=xPico200 \
    PLATFORM_ALP_CLOCK_RES_FIXUP=0 \
    PLATFORM_DEEP_SLEEP \
    PLATFORM_HIB_WAKE_CTRL_FREQ_BITS_FLIPPED \
    PLATFORM_L1_CACHE_SHIFT=5 \
    PLATFORM_MCU_POWERSAVE_INIT_STATE=0 \
    PLATFORM_NO_DDR=1 \
    PLATFORM_NO_I2S=1 \
    PLATFORM_SECURESFLASH_ENABLED=0 \
    PLATFORM_TICK_POWERSAVE=1 \
    PLATFORM_USB_ALP_CLOCK_RES_FIXUP=0 \
    PROJECT_$(PROJECT_NAME) \
    RADIO_NUMBER_OF_BANDS=2 \
    RTOS_ThreadX=1 \
    RX_PACKET_POOL_SIZE=120 \
    SECUREBOOT_SHA_KEY_SIZE=32 \
    SFLASH_SUPPORT_MACRONIX_PARTS=1 \
    SFLASH_SUPPORT_WINBOND_PARTS=1 \
    SITE_TYPEDEFS \
    SPI_BB_TRANSFER_DELAY_SUPPORT \
    TX_INCLUDE_USER_DEFINE_FILE \
    TX_PACKET_POOL_SIZE=80 \
    UNRELEASEDCHIP \
    USE_80211W \
    USE_AUTOREFRESH_FOR_QUICKCONNECT \
    USE_CFGFLASH_RAM_CACHE \
    USE_DEV_FS \
    USE_DHCP_CLIENT_DOMAIN_OPTIONS \
    USE_DUAL_FIRMWARE_IMAGE \
    USE_ENTERPRISE_AUTH \
    USE_ETH_PHY_CONFIGURABLE_ADDRESS \
    USE_ETH_PHY_ENHANCEMENTS \
    USE_ETH_PHY_LONG_RESET \
    USE_ETH_PHY_MDIO_LOGGING \
    USE_ETH_RMII_SWITCH_MODE \
    USE_FILESYSTEM_REPARTITION \
    USE_FLASH_MONITOR \
    USE_FS_WEBAPI \
    USE_GSPI \
    USE_HTTP_CLIENT \
    USE_HTTP_CORS \
    USE_HTTP_SERVER \
    USE_HTTP_TLS \
    USE_IEEE80211R \
    USE_JSON \
    USE_LANTRONIX_FLASH_FS \
    USE_LINE_CLI \
    USE_LINE_TLOG \
    USE_MACH10 \
    USE_MACH10_CLI \
    USE_OVERLAY_FS \
    USE_POWER_MANAGEMENT \
    USE_POWER_MANAGEMENT_WKUP_PIN \
    USE_RADIO_SCANNING_RSSI_FLOOR \
    USE_RS485 \
    USE_SECURE_BOOT \
    USE_SECURE_DATA \
    USE_SMART_CONNECT \
    USE_TCP_AES_HARDWARE_ACCELERATION \
    USE_WAKEUP_PIN_FALLING_EDGE \
    USE_WEB_MANAGER \
    USE_WEBSOCKETS \
    USE_WIRED_EAP_AUTH \
    USE_XML \
    USES_RESOURCES_IN_EXTERNAL_STORAGE \
    VERSION_BUILD_TYPE=\'$(strip $(VERSION_BUILD))\' \
    WICED \
    WICED_BUS_PROTOCOL=SoC/43909 \
    WICED_CHIP=43909B0 \
    WICED_DISABLE_BOOTLOADER \
    WICED_ETHERNET_BUFFER_SIZE=1580 \
    WICED_STARTUP_DELAY=10 \
    WICED_TCP_RX_DEPTH_QUEUE=3 \
    WICED_VERSION=6.6.0.9 \
    WWD_DIRECT_RESOURCES \
    WWD_DOWNLOAD_CLM_BLOB \
    _GNU_SOURCE \
    __FILENAME_MAX__=MAX_FILENAME \
    __TARGET_ARCH_ARM=7 \
    __THUMB_INTERWORK \
